namespace GMLL00ImportadorXsd.Utilidades.Corp.Wcf.Listadoss
{
    public static class Helper
    {
        public static int ObtenerNumeroPaginasPdf(string ficheroConfiguracionWCorpListados, string nombreFicheroPdf)
        {
            int numeroPaginas;

            using (var listados = new Listados(ficheroConfiguracionWCorpListados))
            {
                numeroPaginas = listados.ObtenerNumeroPaginasPdf(nombreFicheroPdf);
            }

            return numeroPaginas;
        }

        public static byte[] ProcesarLote(string ficheroConfiguracionWCorpListados, string lote)
        {
            byte[] pdf;

            using (var listados = new Listados(ficheroConfiguracionWCorpListados))
            {
                pdf = listados.ProcesarLote(lote);
            }

            return pdf;
        }
    }
}